Name:       openstack-kolla
Version:    12.0.1
Release:    3
Summary:    Build OpenStack container images

License:    Apache-2.0
URL:        https://opendev.org/openstack/kolla
Source0:    https://tarballs.openstack.org/kolla/kolla-12.0.1.tar.gz

BuildArch:  noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-oslo-config
BuildRequires:  python3-crudini
BuildRequires:  python3-stestr
BuildRequires:  python3-oslotest
BuildRequires:  python3-ddt
BuildRequires:  python3-jinja2
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-hacking
BuildRequires:  python3-GitPython
BuildRequires:  python3-docker
BuildRequires:  python3-six
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-cryptography
BuildRequires:  python3-netaddr
BuildRequires:  python3-mock

Requires:   python3-pbr
Requires:   python3-GitPython
Requires:   python3-jinja2
Requires:   python3-docker
Requires:   python3-six
Requires:   python3-oslo-config
Requires:   python3-oslo-utils == 4.8.0
Requires:   python3-cryptography
Requires:   python3-netaddr

%description
Templates and tools from the Kolla project to build OpenStack container images.

%prep
%setup -q -n kolla-12.0.1

%build
PYTHONPATH=. oslo-config-generator --config-file=etc/oslo-config-generator/kolla-build.conf

%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_datadir}/kolla/docker
cp -vr docker/ %{buildroot}%{_datadir}/kolla

# setup.cfg required for kolla-build to discover the version
install -p -D -m 644 setup.cfg %{buildroot}%{_datadir}/kolla/setup.cfg

# remove tests
rm -fr %{buildroot}%{python3_sitelib}/kolla/tests

# remove doc
rm -fr %{buildroot}%{_datadir}/kolla/doc

# remove tools
rm -fr %{buildroot}%{_datadir}/kolla/tools

install -d -m 755 %{buildroot}%{_sysconfdir}/kolla
crudini --set %{buildroot}%{_datadir}/kolla/etc_examples/kolla/kolla-build.conf DEFAULT tag %{version}-%{release}
cp -v %{buildroot}%{_datadir}/kolla/etc_examples/kolla/kolla-build.conf %{buildroot}%{_sysconfdir}/kolla
rm -fr %{buildroot}%{_datadir}/kolla/etc_examples

#%check
#find . -type f -name "*.py[c|o]" -delete -o -type l -name "*.py[c|o]" -delete
#find . -type d -name "__pycache__" -delete
#stestr run
#stestr slowest

%files
%doc README.rst
%license LICENSE
%{_bindir}/kolla-build
%{python3_sitelib}/kolla*
%{_datadir}/kolla
%{_sysconfdir}/kolla

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 12.0.1-3
- Fix install error

* Thu Jul 07 2022 wangshuo <wangshuo@kylinos.cn> 12.0.1-2
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: fix python version to python3_sitelib about remove tests

* Mon Feb 21 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 12.0.1-1
- Upgrade to 12.0.1

* Tue Jul 13 2021 OpenStack-Sig <openstack@openeuler.org> 12.0.0-1
- Init Wallaby version

